# Class ConvertLineDelimitersAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.texteditor.ResourceAction
org.eclipse.ui.texteditor.TextEditorAction
org.eclipse.ui.texteditor.ConvertLineDelimitersAction

All Implemented Interfaces:
  `IAction, IUpdate`

@Deprecated public class ConvertLineDelimitersAction extends TextEditorAction
Deprecated.
since 3.1. Line delimiter conversion has been modified to work on groups of files rather than being editor specific
An action to convert line delimiters of a text editor document to a particular line delimiter.

Since:
  2.0

## Field Summary

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ConvertLineDelimitersAction(ResourceBundle bundle, String prefix, ITextEditor editor, String lineDelimiter)`
Deprecated.
`ConvertLineDelimitersAction(ITextEditor editor, String lineDelimiter)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Deprecated.
`void`
`update()`
Deprecated.

### Methods inherited from class TextEditorAction

`canModifyEditor, getTextEditor, setEditor, validateEditorInputState`

### Methods inherited from class ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertLineDelimitersAction

@Deprecated public ConvertLineDelimitersAction(ITextEditor editor, String lineDelimiter)
Deprecated.
Creates a line delimiter conversion action.

Parameters:
  `editor` - the editor
  `lineDelimiter` - the target line delimiter to convert the editor's document to

### ConvertLineDelimitersAction

@Deprecated public ConvertLineDelimitersAction(ResourceBundle bundle, String prefix, ITextEditor editor, String lineDelimiter)
Deprecated.
Creates a line delimiter conversion action.

Parameters:
  `bundle` - the resource bundle
  `prefix` - the prefix for the resource bundle lookup
  `editor` - the editor
  `lineDelimiter` - the target line delimiter to convert the editor's document to

## Method Details

### run

@Deprecated public void run()
Deprecated.
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - How radio buttons are handled
  - How check boxes are handled

### update

@Deprecated public void update()
Deprecated.
Description copied from class: `TextEditorAction`
Always enables this action if it is connected to a text editor. If the associated editor is `null`, the action is disabled. Subclasses may override.

Specified by:
  `update` in interface `IUpdate`
Overrides:
  `update` in class `TextEditorAction`